Delete a Webhook Configuration
Please be aware that using this endpoint requires the Manage Webhooks configurations security role.
delete
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
idstringrequired
Webhook configuration ID.
Response
204
Response
204
Webhook deleted successfully
delete/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
204
Patch a Webhook Configuration
Please be aware that using this endpoint requires the Manage Webhooks configurations security role.
patch
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
idstringrequired
Webhook configuration ID.
Body
application/json
Body
application/json
ApiV7WebhooksPublicApiSubscriptionsRequest2
namestring
Example:Updated name via API
statusinteger
Example:1
Response
200
Response
200
Webhook patched successfully
patch/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
Body
{}
200
Update a Webhook Configuration
Please be aware that using this endpoint requires the Manage Webhooks configurations security role.
put
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
idstringrequired
Webhook configuration ID.
Body
application/json
Body
application/json
ApiV7WebhooksPublicApiSubscriptionsRequest1
eventsarray[string]
preArchivedNotificationDaysinteger
Example:5
Response
200
Response
200
Webhook updated successfully
put/v7/webhooks/public/api/subscriptions/{id}
Path Parameters
Body
{}
200
Ranges
Retrieve Webhook IP Ranges
Please be aware that using this endpoint requires either the View Webhooks configurations or Manage Webhooks configurations security role.
get
https://your-bynder-domainDefaultValue/v7/webhooks/public/api/ip-ranges
Response
200 application/json
Response
200 application/json
Successful response
object
get/v7/webhooks/public/api/ip-ranges
200 application/json